﻿using Newtonsoft.Json;

namespace MinecraftDiscordBot;

public class BotConfiguration {
    [JsonProperty("token", Required = Required.Always)]
    public string Token { get; set; } = default!;
    [JsonProperty("port", Required = Required.Always)]
    public int Port { get; set; } = default!;
    [JsonProperty("channels", Required = Required.Always)]
    public IEnumerable<ulong> Channels { get; set; } = default!;
    [JsonProperty("prefix", Required = Required.Always)]
    public string Prefix { get; set; } = default!;
}
